Teams
GET
/organizations/{organizationId}/teams
List the teams inside an organization.
查询参数
limit
integer
Limits the number of results to return.
reverse
boolean
Reverses the order in which the results are returned.
pageToken
string
The cursor that keeps track of the current position in the results.
响应载荷
results
array of object
必填
显示子属性
results.id
string
必填
results.name
string
必填
results.description
string
必填
results.visibility
string
必填
Possible values: public, private
results.accessibility
string
必填
Possible values: open, request-to-join, invite-only
results.activeMemberCount
integer
必填
results.pendingMemberCount
integer
必填
results.featuredMembers
array of object
必填
显示子属性
results.featuredMembers.type
string
必填
Possible values: user
results.featuredMembers.id
string
必填
results.roleRefs
array of object
The list of roles assigned to the team
显示子属性
results.roleRefs.id
string
必填
results.roleRefs.type
string
必填
Possible values: organization, managed
results.roleRefs.workspaces
array of string
results.createdAt
string
必填
results.updatedAt
string
必填
nextPageToken
string
The token to fetch the next page of results. If empty, there are no more results to fetch.
代码示例
curl -X GET 'https://api.bird.com/organizations/{organizationId}/teams' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'POST
/organizations/{organizationId}/teams
Create a new team inside the organization.
请求载荷
name
string
必填
description
string
必填
roleRefs
array of object
The list of roles assigned to the team
显示子参数
roleRefs.id
string
必填
roleRefs.type
string
必填
Possible values: organization, managed
roleRefs.workspaces
array of string
响应载荷
id
string
必填
name
string
必填
description
string
必填
visibility
string
必填
Possible values: public, private
accessibility
string
必填
Possible values: open, request-to-join, invite-only
activeMemberCount
integer
必填
pendingMemberCount
integer
必填
featuredMembers
array of object
必填
显示子属性
featuredMembers.type
string
必填
Possible values: user
featuredMembers.id
string
必填
roleRefs
array of object
The list of roles assigned to the team
显示子属性
roleRefs.id
string
必填
roleRefs.type
string
必填
Possible values: organization, managed
roleRefs.workspaces
array of string
createdAt
string
必填
updatedAt
string
必填
代码示例
curl -X POST 'https://api.bird.com/organizations/{organizationId}/teams' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'GET
/organizations/{organizationId}/teams/{teamId}
Retrieve a single team.
响应载荷
id
string
必填
name
string
必填
description
string
必填
visibility
string
必填
Possible values: public, private
accessibility
string
必填
Possible values: open, request-to-join, invite-only
activeMemberCount
integer
必填
pendingMemberCount
integer
必填
featuredMembers
array of object
必填
显示子属性
featuredMembers.type
string
必填
Possible values: user
featuredMembers.id
string
必填
roleRefs
array of object
The list of roles assigned to the team
显示子属性
roleRefs.id
string
必填
roleRefs.type
string
必填
Possible values: organization, managed
roleRefs.workspaces
array of string
createdAt
string
必填
updatedAt
string
必填
代码示例
curl -X GET 'https://api.bird.com/organizations/{organizationId}/teams/{teamId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'DELETE
/organizations/{organizationId}/teams/{teamId}
Delete a team from an organization.
代码示例
curl -X DELETE 'https://api.bird.com/organizations/{organizationId}/teams/{teamId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'PATCH
/organizations/{organizationId}/teams/{teamId}
Update a team's details.
请求载荷
name
string
description
string
roleRefs
array of object
The list of roles assigned to the team
显示子参数
roleRefs.id
string
必填
roleRefs.type
string
必填
Possible values: organization, managed
roleRefs.workspaces
array of string
响应载荷
id
string
必填
name
string
必填
description
string
必填
visibility
string
必填
Possible values: public, private
accessibility
string
必填
Possible values: open, request-to-join, invite-only
activeMemberCount
integer
必填
pendingMemberCount
integer
必填
featuredMembers
array of object
必填
显示子属性
featuredMembers.type
string
必填
Possible values: user
featuredMembers.id
string
必填
roleRefs
array of object
The list of roles assigned to the team
显示子属性
roleRefs.id
string
必填
roleRefs.type
string
必填
Possible values: organization, managed
roleRefs.workspaces
array of string
createdAt
string
必填
updatedAt
string
必填
代码示例
curl -X PATCH 'https://api.bird.com/organizations/{organizationId}/teams/{teamId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'